---
updatedAt: 2026-07-30T22:32:10.000Z
---

# MCS items management APIs

You can use the items APIs listed in this section to create and retrieve test items to use in the sandbox.

## Base URL

| Environment | URL                                              |
| ----------- | ------------------------------------------------ |
| Sandbox     | <https://sandbox.walmartapis.com/v3/fulfillment> |
| Production  | <https://api.walmart.com/v3/fulfillment>         |

# Create MCS test items

Create one or more test items to use in the sandbox. This API stores mock items in sandbox storage scoped to the account context associated with the request.

## Endpoint

```Text bash
POST https://sandbox.walmartapis.com/v3/fulfillment/mcs/item
```

## Sample request

```Text cURL
curl -X POST "https://sandbox.walmartapis.com/v3/fulfillment/mcs/item" \
  -H "Authorization: Bearer <ACCESS_TOKEN>" \
  -H "Content-Type: application/json" \
  -H "WM_SANDBOX: v2" \ 
  -H "martId: 202" \
  -H "buId: 0" \
  -d @- <<'JSON'
{
  "header": {},
  "payload": {
    "items": [
      {
        "offerId": "11A7630F42404C3F945BF84719D08398",
        "itemId": "413328977",
        "gtin": "00735009348456",
        "sku": "SKU-1",
        "brand": "Brand name",
        "productName": "Name of the product",
        "availableToSellUnits": 10,
        "itemPrice": 65.99,
        "dimensions": {
          "weight": { "unitOfMeasure": "LB", "measurementValue": 2 },
          "length": { "unitOfMeasure": "IN", "measurementValue": 10 },
          "height": { "unitOfMeasure": "IN", "measurementValue": 3 },
          "width": { "unitOfMeasure": "IN", "measurementValue": 6 }
        }
      }
    ]
  }
}
```
```Text Python
import requests

url = "https://sandbox.walmartapis.com/v3/fulfillment/mcs/item"
headers = {
    "Authorization": "Bearer <ACCESS_TOKEN>",
    "Content-Type": "application/json",
    "WM_SANDBOX": "v2",
    "martId": "202",
    "buId": "0",
}

body = {
    "header": {},
    "payload": {
        "items": [
            {
                "offerId": "11A7630F42404C3F945BF84719D08398",
                "itemId": "413328977",
                "gtin": "00735009348456",
                "sku": "SKU-1",
                "brand": "Brand name",
                "productName": "Name of the product",
                "availableToSellUnits": 10,
                "itemPrice": 65.99,
                "dimensions": {
                    "weight": {"unitOfMeasure": "LB", "measurementValue": 2},
                    "length": {"unitOfMeasure": "IN", "measurementValue": 10},
```

## Success response (202 Accepted)

On success, this API returns HTTPS `202 Accepted` status indicating that items will be available for use in testing.

```Text JSON
{
  "response": "Item Created successfully"
}
```

## Error response (400 Bad Request)

If any item payload is invalid, this API returns HTTPS `400` status with `INVALID_MCS_REQUEST`.

# Retrieve test items

Returns all test items created in the sandbox for the account context associated with the request.

## Endpoint

```Text bash
GET https://sandbox.walmartapis.com/v3/fulfillment/mcs/item
```

## Sample request

```Text cURL
curl -X GET "https://sandbox.walmartapis.com/v3/fulfillment/mcs/item" \
  -H "Authorization: Bearer <ACCESS_TOKEN>" \
  -H "Content-Type: application/json" \
  -H "WM_SANDBOX: v2" \
  -H "martId: 202" \
  -H "buId: 0"
```
```Text Python
import requests

url = "https://sandbox.walmartapis.com/v3/fulfillment/mcs/item"
headers = {
    "Authorization": "Bearer <ACCESS_TOKEN>",
    "martId": "202",
    "WM_SANDBOX": "v2",
    "buId": "0",
    "Accept": "application/json",
}

response = requests.get(url, headers=headers, timeout=30)
response.raise_for_status()
print(response.json())
```

## Sample response (202 Accepted)

On success, this API returns HTTPS `202 Accepted` status with a confirmation message and payload containing the stored test items.

```Text JSON
{
  "payload": {
    "items": [
      {
        "offerId": "11A7630F42404C3F945BF84719D08398",
        "itemId": "413328977",
        "gtin": "00735009348456",
        "sku": "SKU-1",
        "brand": "Brand name",
        "productName": "Name of the product",
        "availableToSellUnits": 10,
        "itemPrice": 65.99,
        "dimensions": {
          "weight": { "unitOfMeasure": "LB", "measurementValue": 2 },
          "length": { "unitOfMeasure": "IN", "measurementValue": 10 },
          "height": { "unitOfMeasure": "IN", "measurementValue": 3 },
          "width": { "unitOfMeasure": "IN", "measurementValue": 6 }
        }
      }
    ]
  }
}
```

## Error response (400 Bad Request)

If any item payload is invalid, this API returns HTTPS `400` status with `INVALID_MCS_REQUEST`.